task bedtools {

	File bam
	File bai
	File bed_file

	String docker
	String cluster_config
	String disk_size

	command <<<
		mkdir -p /cromwell_root/tmp/bedtools	
		cp ${bam} ${bai} /cromwell_root/tmp/bedtools
		cd /cromwell_root/tmp/bedtools
		bedtools multicov -bams GCCACATA_S9_L001_R1_001.sorted.bam F1_S6_L001_R1_001.sorted.bam -bed ${bed_file} > revread_count.txt 
	
	>>>

	runtime {
		docker:docker
		cluster:cluster_config
		systemDisk:"cloud_ssd 40"
		dataDisk:"cloud_ssd " + disk_size + " /cromwell_root/"
	}

	output {
		File read_count = "revread_count.txt"
	}
}